#!/bin/bash
ADDON_MODULE_BASE_PATH="/opt/Dell/ASM/modules"

ADDON_MODULE_UPLOAD_FILE="$1"
ADDON_MODULE_NAME="$2"

if [ $# -ne 2 ]; then
    echo "Proper usage is ./add_on_module_create.sh [ADDON_MODULE_UPLOAD_FILE] [ADDON_MODULE_NAME]" >&2
    exit 1
fi

if [ ! -f "$ADDON_MODULE_UPLOAD_FILE" ]; then 
    echo "Could not find add on module zip file at $ADDON_MODULE_UPLOAD_FILE" >&2
    exit 2
fi

if [ ! -d "$ADDON_MODULE_BASE_PATH" ]; then
    mkdir -p "$ADDON_MODULE_BASE_PATH"
    chmod 755 "$ADDON_MODULE_BASE_PATH"
    chown nobody:nobody "$ADDON_MODULE_BASE_PATH"
fi

ADDON_MODULE_PATH="$ADDON_MODULE_BASE_PATH/$ADDON_MODULE_NAME"
if [ ! -d  "$ADDON_MODULE_PATH" ]; then
    mkdir -p "$ADDON_MODULE_PATH"
    chmod 755 "$ADDON_MODULE_PATH"
    chown nobody:nobody "$ADDON_MODULE_PATH"    
fi

unzip "$ADDON_MODULE_UPLOAD_FILE" -d "$ADDON_MODULE_PATH"
chown -R nobody:nobody "$ADDON_MODULE_PATH"
exit 0
