#!/bin/bash
set -e

#Enable Debugging
set -x

mkdir /var/tmp/puppet

if [ -d /etc/puppetlabs/puppet/devices ]; then
cp -r /etc/puppetlabs/puppet/devices /var/tmp/puppet
chmod -R 775 /var/tmp/puppet/devices
else
mkdir /var/tmp/puppet/devices
fi

mkdir /var/tmp/puppet/pe-puppet
chmod -R 775 /var/tmp/puppet/pe-puppet

cp -r /etc/puppetlabs/puppet/manifests /var/tmp/puppet
cp -r /var/lib/puppet /var/tmp/puppet

cp -pr /var/opt/lib/pe-puppet/devices /var/tmp/puppet/pe-puppet
cp -pr /var/opt/lib/pe-puppet/reports /var/tmp/puppet/pe-puppet
cp -pr /var/opt/lib/pe-puppet/yaml /var/tmp/puppet/pe-puppet
cp -pr /var/opt/lib/pe-puppet/ssl /var/tmp/puppet/pe-puppet

# Backup Carbon Data to the pe-puppet directory for backup
cp -pr /var/lib/carbon /var/tmp/puppet/pe-puppet
# Backup ntp client settings
cp -pr /etc/ntp.conf /var/tmp/puppet/pe-puppet
cp -pr /etc/ntp/step-tickers /var/tmp/puppet/pe-puppet
# Backup TimeZone info
cp -pr /etc/sysconfig/clock /var/tmp/puppet/pe-puppet
# Backup AddOn Modules
if [ -d /opt/Dell/ASM/modules ]; then
mkdir /var/tmp/puppet/pe-puppet/ASM
cp -pr /opt/Dell/ASM/modules /var/tmp/puppet/pe-puppet/ASM
fi

cd /var/tmp/puppet/pe-puppet
tar cfp /var/tmp/puppet/pe-puppet.tar *


# Temp Debug to view pe-puppet.tar file contents
# cp /var/tmp/puppet/pe-puppet.tar ~/pe-puppet.tar
rm -rf /var/tmp/puppet/pe-puppet

cp -pr /opt/Dell/ASM/device /var/tmp/puppet
cp -pr /opt/Dell/ASM/deployments /var/tmp/puppet

cd /var/tmp/puppet/deployments
if [ "$(ls -A .)" ]; then
   tar cfp /var/tmp/puppet/deployments.tar *
fi

rm -rf /var/tmp/puppet/deployments

exit 0
