#!/bin/bash

set -o errexit
set -o verbose

if [ $# != 1 ]; then
    echo "USAGE: configure-common.sh [MASTER-IP]"
    exit 1
fi

MASTER_IP="$1"

# Disable security
service iptables stop
setenforce 0

# Update hostnames
for hostname in asm-deployer-api asm-secrets-api asm-razor-api; do
    sed -i -e "s/[0-9.]* $hostname/$MASTER_IP $hostname/" /etc/hosts
done

# Set client SSL options
sed -i -e "s,#http_client_options:,http_client_options:," /opt/asm-deployer/config.yaml
sed -i -e "s,#*  ssl_ca_file: .*,  ssl_ca_file: /opt/Dell/ssl/ca-cert.pem," /opt/asm-deployer/config.yaml
sed -i -e "s,#*  ssl_client_cert: .*,  ssl_client_cert: /opt/Dell/ssl/dellasm.cert," /opt/asm-deployer/config.yaml
sed -i -e "s,#*  ssl_client_key: .*,  ssl_client_key: /opt/Dell/ssl/dellasm_u.key," /opt/asm-deployer/config.yaml
sed -i -e "s,http_client_options: {},#http_client_options: {}," /opt/asm-deployer/config.yaml

# Set urls in asm-deployer config
sed -i -e "s,  asm_secrets: .*,  asm_secrets: https://asm-secrets-api/secret," /opt/asm-deployer/config.yaml
sed -i -e "s,  razor: .*,  razor: https://asm-razor-api/razor," /opt/asm-deployer/config.yaml
sed -i -e "s,  nagios: .*,  nagios: https://asm-deployer-api/nagios," /opt/asm-deployer/config.yaml
sed -i -e "s,  graphite: .*,  graphite: https://asm-deployer-api/graphite," /opt/asm-deployer/config.yaml
