require 'puppet/face'
require 'puppet/parser'
require 'json'

Puppet.parse_config
res = Puppet::Face[:resource_type, :current].find("" + ARGV[0])
#puts "Res: #{res.inspect}"
raise Exception, "Unable to find class/define #{ARGV[0]}" unless res

class CustHash < Hash
  def to_s
    output = self.collect do |k, v|
      "\"#{k}\" => #{v}"
    end
    "{#{output.join(', ')}}"
  end
end

args = res.arguments
result = CustHash.new
args.each do |k, v|
  case v
  when Puppet::Parser::AST::String
    result[k] = { 'type' => 'Puppet::Parser::AST::String', 'value' => v.value, 'required' => false, 'hide' => false }
  when Puppet::Parser::AST::Variable
    result[k] = { 'type' => 'Puppet::Parser::AST::Variable', 'value' => "$#{v.value}", 'required' => false, 'hide' => false }
  when Puppet::Parser::AST::Name
    result[k] = { 'type' => 'Puppet::Parser::AST::Name', 'value' => v.value, 'required' => false, 'hide' => false }
  when Puppet::Parser::AST::Undef
    result[k] = { 'type' => 'Puppet::Parser::AST::Undef', 'value' => '', 'required' => false, 'hide' => false }
  when Puppet::Parser::AST::ASTArray
    result[k] = { 'type' => 'Puppet::Parser::AST::ASTArray', 'value' => v, 'required' => false, 'hide' => false }
  when Puppet::Parser::AST::ASTHash
    result[k] = { 'type' => 'Puppet::Parser::AST::ASTHash', 'value' => v, 'required' => false, 'hide' => false }
  when Puppet::Parser::AST::Boolean
    result[k] = { 'type' => 'Puppet::Parser::AST::Boolean', 'value' => v.value, 'required' => false, 'hide' => false }
  when nil
    result[k] = { 'type' => 'nil', 'value' => '', 'required' => false, 'hide' => true }
  else
    result[k] = { 'type' => k, 'value' => v, 'required' => false, 'hide' => false }
  end
end
print result.to_json
