#!/bin/bash

set -o errexit

if [ $# != 1 ]; then
    echo "USAGE: rm-device-ssl.sh [DEVICE-CERT-NAME]"
    exit 1
fi

SSLBASEDIR=/var/opt/lib/pe-puppet/devices
CERTNAME=$(basename $1)
SSLDIR="$SSLBASEDIR/$CERTNAME"

if [ ! -d "$SSLDIR" ]; then
    echo "Could not find device ssl directory $SSLDIR"
    exit 2
fi

rm -rf "$SSLDIR"
